import React from 'react';
declare type InputAllProps = Omit<React.InputHTMLAttributes<HTMLElement>, 'size'>;
declare type InputSize = 'large' | 'small';
export interface InputProps extends InputAllProps {
    disabled?: boolean;
    className?: string;
    leftContent?: string | React.ReactElement;
    rightContent?: string | React.ReactElement;
    size?: InputSize;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (e: React.FocusEvent<HTMLInputElement>) => void;
    onBlur?: (e: React.FocusEvent<HTMLInputElement>) => void;
    style?: React.CSSProperties;
    wrong?: boolean;
}
export declare const Input: React.FC<InputProps>;
export {};
